<?php

declare(strict_types=1);

namespace KupShop\PreordersBundle\Util;

use Doctrine\Common\Collections\Collection;

/**
 * @template TKey of array-key
 * @template TVal
 *
 * @extends Collection<TKey, TVal>
 */
interface PersistentCollection extends Collection
{
    public function save(): ?\Throwable;
}
